Subject: Re: [PATCH net v2 0/2] Fix 88x3310 leaving power save mode

From: Greg Kroah-Hartman <[email-masked]>
Date: Sat, 9 May 2020 08:36:31 +0200

On Fri, May 08, 2020 at 10:38:16PM +0100, Russell King - ARM Linux admin wrote:
> On Fri, May 08, 2020 at 11:32:39PM +0200, Matteo Croce wrote:
> > On Wed, Apr 15, 2020 at 1:48 AM David Miller <[email-masked]> wrote:
> > >
> > > From: Russell King - ARM Linux admin <[email-masked]>
> > > Date: Tue, 14 Apr 2020 20:47:53 +0100
> > >
> > > > This series fixes a problem with the 88x3310 PHY on Macchiatobin
> > > > coming out of powersave mode noticed by Matteo Croce.  It seems
> > > > that certain PHY firmwares do not properly exit powersave mode,
> > > > resulting in a fibre link not coming up.
> > > >
> > > > The solution appears to be to soft-reset the PHY after clearing
> > > > the powersave bit.
> > > >
> > > > We add support for reporting the PHY firmware version to the kernel
> > > > log, and use it to trigger this new behaviour if we have v0.3.x.x
> > > > or more recent firmware on the PHY.  This, however, is a guess as
> > > > the firmware revision documentation does not mention this issue,
> > > > and we know that v0.2.1.0 works without this fix but v0.3.3.0 and
> > > > later does not.
> > >
> > > Series applied, thanks.
> > >
> > 
> > Hi,
> > 
> > should we queue this to -stable?
> > The 10 gbit ports don't work without this fix.
> 
> It has a "Fixes:" tag, so it should be backported automatically.

That is a wild guess that it might happen sometime in the future.
Please use the cc: stable@ tag as is documented for the past 15+ years
instead of relying on us to randomly notice a Fixes: tag.

thanks,

greg k-h